<bugID>1359344<Summary>Properly clear cookies on clean shutdown if requested by the user</Summary><Description>Bug 912717 moved the list of cookies from state.windows[x].cookies to state.cookies. We forgot to update the SessionSaver that purges cookies on shutdown, when requested by the user's preferences.</Description></bugID>